#!/bin/sh

###################################
### Q inversion 		###
###################################
#Initial input: csou.H; crec.H; bvel.H; bq.iter0.H; alfa.iter0.H; msk.H; vpre.H

#Revise:*  Source wavelet given !!! Minimum wavelet
#	*  bQ=300
#	*  0-50Hz for migration
#	*. Gradient no progapage for extra lenghth; change base_propgrd
#	*. Gradient sparse in dy 
#	*. Line search didn't do
#	*. More iterations
#	*. Bimg within iteration can be small
#	*. dimg: n=14 from xline=7000m should be full for the first iteration
# 	*. 100% -restart
#	*. remove each shot .X18I*.H in sscript
#	*. remove rati/spex/ftln/scal in dimg.sh
#	*. the inversion is wierd at x=35km z=2km
#	*. check with multiple and first arrival

#	*. check the dolphin location, geology:chalk layer: anisotropy?
#	*. 3D/vel(30000m depth)/prestack/constraint
#	*. sustolt/sugaimg/kirchoff


yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
datdir=${yisdir}
logdir=${yisdir}/log
shdir=/data/sep/yishen/WEMQA/dolphin/shScript/InversionQ_post_basic_2D

  # real shot number: nsx=n-1
  cd ${yisdir}
  rm -f PBS/*
  rm -f log/*

######################################################################
### iteration initialize					  ###
######################################################################
Spike n1=1 k1=1 mag=4.2>${datdir}/dlp2D.iqtv.post.basc.alfa.iter0.H  
###################################
### bimg: background image with the initial Q model 
###################################

 ${shdir}/shImgInv.sh 0 n 75


###################################
### dimg: perturbed imaging from bimg:
###################################
  ${shdir}/shDimgInv.sh 0 y

###################################
### Dq: initial gradient

###################################

  ${shdir}/shGradInv.sh ${nsx} 0 n 75



###################################
### Hes: hessian as preconditioner

###################################

# ${shdir}/shHesInv.sh ${nsx} 0 1 n

###################################
### GrdPrc: gradiant processing (mask and smoothing)

###################################
  ${shdir}/shGradprcInv.sh 0 n  

###################################
### SrcDirect: search direction for the initial gradient

##################################
 ${shdir}/shDirectInv.sh 0 

######################################################################
### iteration begins 
# 					           ###
######################################################################
#Spike n1=1 k1=1 mag=1000000>${datdir}/bpNPre.fobj.iter0.H
  for iter in {1..1} 
  do
### alpha: line search to update model
	### input: bp.bq.iter${1}.H bp.srch.iter${1}.H bp.alfa.iter${1}.H bp.fobj.iter${1}.H
	###bp.bq.iter${2}.H bp.alfa.iter${2}.H bp.fobj.iter${2}.H 
   ${shdir}/shLinsrcInv.sh  ${iter}

### bimg: background image with the initial Q model 
 ${shdir}/shImgInv.sh ${nsx} ${iter} 3 y
### dimg: perturbed imaging from bimg 
  ${shdir}/shDimgInv.sh ${iter} n
### Dq:  gradient 
  ${shdir}/shGradInv.sh ${nsx} ${iter} 2 y
### Hes: hessian as preconditioner
 #${shdir}/shHesInv.sh ${nsx} ${iter} 2 y
### GrdPrc: gradiant processing (mask and smoothing)
  ${shdir}/shGradprcInv.sh ${iter} y
### SrcDirect: search direction for the gradient
 ${shdir}/shDirectInv.sh ${iter} 



  done




