#!/bin/sh


###################################
### Gradient processing		###
###################################
# 1: iteration number 

yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
datdir=${yisdir}
logdir=${yisdir}/log


grdo=${datdir}/dlp2D.iqtv.pre.basc.grdo.iter${1}.H
grdp=${datdir}/dlp2D.iqtv.pre.basc.grdp.iter${1}.H
mskw=${datdir}/dlp2D.mask.watb.z10.H
msks=${datdir}/dlp2D.mask.salt.z10.H
bvel=${datdir}/dlp2D.bqiv.post.basc.bvel.iter0.H
 

  cd ${yisdir}



if [ ${1} -eq 0 ];
then
	Smooth <${grdo} rect1=20 rect3=1|Window3d n1=1286 squeeze=n>junk.grdo.H
	echo o1=21255 >>junk.grdo.H
	Math file1=grdo.H file2=${mskw} exp="file1*file2">${grdp}
	${bindir}/myMPI-gradprcs.x grdo=${grdp} gmsk=${msks} rectx_grd=10 recty_grd=1 rectz_grd=3 nsmt_grd=2 smtgrd=y smttyp="triflt" grdmsk=y gscale=n

else 
	Smooth <${grdo} rect1=20 rect3=50|Window3d n1=1286 squeeze=n>junk.grdo.H
	echo o1=21255 >>junk.grdo.H
	Math file1=grdo.H file2=${mskw} exp="file1*file2">${grdp}
	${bindir}/myMPI-gradprcs.x grdo=${grdp} gmsk=${msks} rectx_grd=20 recty_grd=1 rectz_grd=5 nsmt_grd=1 smtgrd=y smttyp="triflt" grdmsk=y gscale=n
fi
  
