module td_convolution_mod
  ! Module for time-domain convolution
  !
  ! Jason Chang
  ! February 2016

  !=========================================
  ! includes
  !=========================================
  implicit none


  !=========================================
  ! declare module variables
  !=========================================
  contains


  !=========================================
  ! initialize convolution
  !=========================================
  subroutine td_convolution_init()
  end subroutine


  !=========================================
  ! close convolution
  !=========================================
  subroutine td_convolution_close()
  end subroutine


  !=========================================
  ! time-domain convolution
  !=========================================
  subroutine td_convolution(filter,trace_in,trace_out)
    ! declare variables
    integer                       :: ii,jj,kk
    integer                       :: nfilter,ntrace
    real,dimension(:)             :: filter
    real,dimension(:),intent(in)  :: trace_in
    real,dimension(:),intent(out) :: trace_out

    ! length of filter
    nfilter = size(filter)
    ntrace  = size(trace_in)

    ! calculate output
    do ii=1,ntrace+nfilter-1
      do jj=1,nfilter
        ! sum over length of filter
        kk = ii-jj+1
        if ((kk.ge.1).and.(kk.le.ntrace)) then
          trace_out(ii) = trace_out(ii)+(trace_in(kk)*filter(jj))
        end if
      end do
    end do
    
  end subroutine


end module
